package com.ruoyi.project.patrol.dev.mapper;

import java.util.List;
import com.ruoyi.project.patrol.dev.domain.TDevStandpipe;

/**
 * 消防竖管Mapper接口
 * 
 * @author admin
 * @date 2023-10-31
 */
public interface TDevStandpipeMapper 
{
    /**
     * 查询消防竖管
     * 
     * @param id 消防竖管主键
     * @return 消防竖管
     */
    public TDevStandpipe selectTDevStandpipeById(Long id);

    /**
     * 查询消防竖管列表
     * 
     * @param tDevStandpipe 消防竖管
     * @return 消防竖管集合
     */
    public List<TDevStandpipe> selectTDevStandpipeList(TDevStandpipe tDevStandpipe);

    /**
     * 新增消防竖管
     * 
     * @param tDevStandpipe 消防竖管
     * @return 结果
     */
    public int insertTDevStandpipe(TDevStandpipe tDevStandpipe);

    /**
     * 修改消防竖管
     * 
     * @param tDevStandpipe 消防竖管
     * @return 结果
     */
    public int updateTDevStandpipe(TDevStandpipe tDevStandpipe);

    /**
     * 删除消防竖管
     * 
     * @param id 消防竖管主键
     * @return 结果
     */
    public int deleteTDevStandpipeById(Long id);

    /**
     * 批量删除消防竖管
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTDevStandpipeByIds(Long[] ids);
}
